System.ServiceModel 4.0.0.0 System.ServiceModel.Syndication.SyndicationContent

This class is used to send serialized objects or other application state data as XML.

Represents XML syndication content that is not intended to be displayed in a browser.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the with the specified instance.

  The instance.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The to read from.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the with the specified type and .

  The type of the content, typically expressed as a MIME content type, for example application/xml or application/xml+customer.
  The to place in the .
- Constructor
  4.0.0.0

  The is one subtype of . If null is passed, a default instance of is instantiated.

  Initializes a new instance of the with the specified type, object, and .

  The type of content.
  The data contract extension.
  The to use.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the with the specified type, object and .

  The type of content.
  The XML serializer extension.
  The to use.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationContent To be added.

  Creates a copy of the existing instance.

  A new instance.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtension To be added.

  On the send/serialization side, this property represents the XML content that must be serialized.

  On the receive/deserialization side, this property is always null.

  Gets the .

- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader To be added.

  Gets a reader from the content of the .

  An from the content of the .

- Method
  4.0.0.0
  TContent

  On the receive/deserialization side, if the XML syndication content element is an empty XML element, then default() is returned. If not, a new instance of is created and is used to deserialize the inner XML of the XML syndication content element into an instance of .

  Reads the content of the specified type into the .

  An object of the specified type.

  The type of content to read.
- Method
  4.0.0.0
  TContent `` To be added.

  On the receive/deserialization side, if the XML syndication content element is an empty XML element, then default() is returned. If not, the instance of passed in is used to deserialize the inner XML of XML syndication content element into an instance of .

  Reads the content of the specified type into the using the specified serializer.

  An object of the specified type.

  The type of content to read.
- Method
  4.0.0.0
  TContent ``

  On the receive/deserialization side, if the XML syndication content element is an empty XML element, then default() is returned. If not, the instance of passed in is used to deserialize the inner XML of XML syndication content element into an instance of .

  Reads the content of the specified type into the using the specified serializer.

  An object of the specified type.

  The to use. The type of content to read.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the type of the XML syndication content.

- Method
  4.0.0.0
  System.Void ``

  This method writes the inner XML content of the instance (for example, it does not write the top level start and end elements of the syndication content).

  Write the contents of the to the specified .

  The to write to.